#!/usr/bin/perl -w
#
# Обсчитывает количество скобок в файле .
#
use strict;
my $left_fig=0;
my $right_fig=0;
my $right_norm=0;
my $left_norm=0;

while(<>)
{ while(/\{/g){++$left_fig;}
  while(/\}/g){++$right_fig;}
  while(/\)/g){++$right_norm;}
  while(/\(/g){++$left_norm;}
}

print "counted margins:\n\{\t\t$left_fig\n\}\t\t$right_fig\n\(\t\t$left_norm\n\)\t\t$right_norm\n"

